import util from '@/utils/util.js'
let orderApiFun = function(vm){
	let listByRecommendOrder		= async (params = {}) => await vm.$u.get('/wxh-worker-rest/rest/recommend/order', params);
	/**
	 * 工单数量查询接口
	 */
	let listOrderCount	= async (params = {}) => await vm.$u.get('http://apidoc.banshouhui.com:3000/mock/31/wxh-worker-rest/rest/'+ util.getToken()+'/order/queryOrdersCount/V2', params);
	
	/**
	 * 工单列表接口
	 */
	let listOrder	= async (params = {}) => await vm.$u.get('http://apidoc.banshouhui.com:3000/mock/31/wxh-worker-rest/rest/'+ util.getToken()+'/order/revision/list', params);
	
	
	const orderApi = {
		listByRecommendOrder,
		listOrderCount,
		listOrder,
	}
	return orderApi
}
module.exports =  {
	orderApiFun
}